# Update a product relation type

Updates an existing product relation type.

Endpoint: PATCH /v1/product-relation-types/{productRelationTypeUuid}
Version: 1.1.0
Security: Bearer

## Path parameters:

  - `productRelationTypeUuid` (string, required)
    The unique identifier of the product relation type to update.

## Request fields (application/json):

  - `code` (string,null)
    Updated code for the product relation type.

  - `displayName` (string,null)
    Updated display name of the product relation type.

  - `direction` (integer,null, required)

  - `reverseRelationTypeUuid` (string,null)
    Updated reverse relation type UUID.

## Response 200 fields (application/json):

  - `uuid` (string, required)
    Unique identifier for this product relation type.

  - `createdAt` (string, required)
    Timestamp when this product relation type was created.
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt` (string, required)
    Timestamp when this product relation type was last modified.
    Example: "2025-11-23T14:15:22.123456Z"

  - `code` (string, required)
    Code for this product relation type.

  - `displayName` (string, required)
    The display name of the product relation type.

  - `direction` (string, required)
    Directionality of a product relation type.
    Enum: "oneWay", "twoWay"

  - `reverseRelationTypeUuid` (string,null)
    For one-way relations, links to another relation type that represents the reverse perspective. Example: 'accessory' links to 'compatible-with' so accessories show compatible products.

## Response 401 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 404 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 409 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 422 fields (application/problem+json):

  - `errors` (array)

  - `errors.code` (string, required)

  - `errors.message` (string, required)

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 500 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)


